Page MenuHomePhabricator

Enable SafeStack for CloudABI.
ClosedPublic

Authored by ed on Feb 13 2016, 10:49 AM.

Details

Summary

I've got a patchset in my home directory to integrate support for
SafeStack into CloudABI's C library. All of the CloudABI unit tests
still seem to pass. Pretty sweet!

This change adds the necessary changes to Clang to make
-fsanitize=safe-stack work on CloudABI. Without it, passing this command
line flag throws an error.

Diff Detail

Event Timeline

ed updated this revision to Diff 47917.Feb 13 2016, 10:49 AM
ed retitled this revision from to Enable SafeStack for CloudABI..
ed updated this object.
ed added reviewers: eugenis, samsonov.
samsonov edited edge metadata.Feb 16 2016, 9:57 AM

Please add a test case for this (probably to test/Driver/fsanitize.c).

ed updated this revision to Diff 48162.Feb 17 2016, 2:11 AM
ed edited edge metadata.

Also add a testcase.

ed added a comment.Feb 17 2016, 2:11 AM

Please add a test case for this (probably to test/Driver/fsanitize.c).

Done!

samsonov accepted this revision.Feb 17 2016, 9:30 AM
samsonov edited edge metadata.

LGTM

This revision is now accepted and ready to land.Feb 17 2016, 9:30 AM
ed closed this revision.Feb 17 2016, 11:00 AM